GFS_ACL_FREE(3)

NAME
gfs_acl_free - release a Gfarm ACL structure memory

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_free(gfarm_acl_t acl);

INPUT ARGUMENTS

acl
    An ACL structure type to free the memory space.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_to_xattr_value(3), gfs_acl_create_entry(3), gfs_acl_set_qualifier(3), gfs_acl_dup(3), gfs_acl_from_text(3), gfs_acl_get_file(3), gfs_acl_init(3)